<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: unsteady_flamelet_tools.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_2637e7d9cbb83fb4b5712a897ba72ccb.html">createUnsteadyChemtable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">unsteady_flamelet_tools.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceunsteady__flamelet__tools"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunsteady__flamelet__tools.html">unsteady_flamelet_tools</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a61e11a2ac65f9a3002404c258e482fcd"><td class="memItemLeft" align="right" valign="top">logical function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a61e11a2ac65f9a3002404c258e482fcd">chk_pt_in_triangle</a> (a, b, c, p, lambda, strict)</td></tr>
<tr class="separator:a61e11a2ac65f9a3002404c258e482fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae15b215ea032ba4a79e6a76707e1ad68"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#ae15b215ea032ba4a79e6a76707e1ad68">finddet</a> (matrix, n)</td></tr>
<tr class="separator:ae15b215ea032ba4a79e6a76707e1ad68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada8ef1075539542e4fa623c4c2c06e67"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#ada8ef1075539542e4fa623c4c2c06e67">solve_linear_system</a> (A, B, X, n)</td></tr>
<tr class="separator:ada8ef1075539542e4fa623c4c2c06e67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b89f837b86584befdb6ac0d7e0a7fc0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a4b89f837b86584befdb6ac0d7e0a7fc0">dtris2</a> (npt, maxst, vcl, ind, ntri, til, tnbr, stack, ierror)</td></tr>
<tr class="separator:a4b89f837b86584befdb6ac0d7e0a7fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae61ff607a0fcc81daa52643d7f147c04"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#ae61ff607a0fcc81daa52643d7f147c04">dhpsrt</a> (k, n, lda, a, map)</td></tr>
<tr class="separator:ae61ff607a0fcc81daa52643d7f147c04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1ec1e5a02cc59f4b0f38a17be4ce243"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#ab1ec1e5a02cc59f4b0f38a17be4ce243">dsftdw</a> (l, u, k, lda, a, map)</td></tr>
<tr class="separator:ab1ec1e5a02cc59f4b0f38a17be4ce243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a7e3b972ccc6b87b0171012a6d40c78"><td class="memItemLeft" align="right" valign="top">logical function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a1a7e3b972ccc6b87b0171012a6d40c78">dless</a> (k, p, q)</td></tr>
<tr class="separator:a1a7e3b972ccc6b87b0171012a6d40c78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0605acbe580a6a9914ad945481093d9c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a0605acbe580a6a9914ad945481093d9c">i_swap</a> (i, j)</td></tr>
<tr class="separator:a0605acbe580a6a9914ad945481093d9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1886c515628902d9a5cc2aa1e9cfe1"><td class="memItemLeft" align="right" valign="top">integer function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a5e1886c515628902d9a5cc2aa1e9cfe1">lrline</a> (xu, yu, xv1, yv1, xv2, yv2, dv)</td></tr>
<tr class="separator:a5e1886c515628902d9a5cc2aa1e9cfe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d83159651b91aea182d3db451ecc18"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a39d83159651b91aea182d3db451ecc18">vbedg</a> (x, y, vcl, til, tnbr, ltri, ledg, rtri, redg)</td></tr>
<tr class="separator:a39d83159651b91aea182d3db451ecc18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e9ccdf08d45db8ae2353d21848d127"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a94e9ccdf08d45db8ae2353d21848d127">swapec</a> (i, top, maxst, btri, bedg, vcl, til, tnbr, stack, ierror)</td></tr>
<tr class="separator:a94e9ccdf08d45db8ae2353d21848d127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00148be828bc2be7cc05c8ff01a71458"><td class="memItemLeft" align="right" valign="top">integer function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a00148be828bc2be7cc05c8ff01a71458">i_wrap</a> (ival, ilo, ihi)</td></tr>
<tr class="separator:a00148be828bc2be7cc05c8ff01a71458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611e4770dc5d36fe6ee2cce39847b19c"><td class="memItemLeft" align="right" valign="top">integer function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a611e4770dc5d36fe6ee2cce39847b19c">diaedg</a> (x0, y0, x1, y1, x2, y2, x3, y3)</td></tr>
<tr class="separator:a611e4770dc5d36fe6ee2cce39847b19c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7ed13cac13964bac94ba7b671bf0d3"><td class="memItemLeft" align="right" valign="top">integer function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unsteady__flamelet__tools_8f90.html#a0c7ed13cac13964bac94ba7b671bf0d3">i_modp</a> (i, j)</td></tr>
<tr class="separator:a0c7ed13cac13964bac94ba7b671bf0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a53be49b05508d9e564066a6c5332d1c9"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunsteady__flamelet__tools.html#a53be49b05508d9e564066a6c5332d1c9">unsteady_flamelet_tools::n_triangles</a></td></tr>
<tr class="separator:a53be49b05508d9e564066a6c5332d1c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b20c5af67b042f0a24e33708e3359ea"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunsteady__flamelet__tools.html#a7b20c5af67b042f0a24e33708e3359ea">unsteady_flamelet_tools::tri_verts</a></td></tr>
<tr class="separator:a7b20c5af67b042f0a24e33708e3359ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1771a60db81d19d4e3988c30bea11c49"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunsteady__flamelet__tools.html#a1771a60db81d19d4e3988c30bea11c49">unsteady_flamelet_tools::z3_nrmlzd</a></td></tr>
<tr class="separator:a1771a60db81d19d4e3988c30bea11c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad701197bcf09bd62163c03e46c21358d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunsteady__flamelet__tools.html#ad701197bcf09bd62163c03e46c21358d">unsteady_flamelet_tools::z4_nrmlzd</a></td></tr>
<tr class="separator:ad701197bcf09bd62163c03e46c21358d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a834ebb1ecd0829fd49b7e84b169c691a"><td class="memItemLeft" align="right" valign="top">integer, dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunsteady__flamelet__tools.html#a834ebb1ecd0829fd49b7e84b169c691a">unsteady_flamelet_tools::file_mapping</a></td></tr>
<tr class="separator:a834ebb1ecd0829fd49b7e84b169c691a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a61e11a2ac65f9a3002404c258e482fcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61e11a2ac65f9a3002404c258e482fcd">&#9670;&nbsp;</a></span>chk_pt_in_triangle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical function chk_pt_in_triangle </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(2), intent(in)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(2), intent(in)&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(2), intent(in)&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(2), intent(in)&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(out)&#160;</td>
          <td class="paramname"><em>lambda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>strict</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae61ff607a0fcc81daa52643d7f147c04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae61ff607a0fcc81daa52643d7f147c04">&#9670;&nbsp;</a></span>dhpsrt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine dhpsrt </td>
          <td>(</td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lda,*)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(n)&#160;</td>
          <td class="paramname"><em>map</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="unsteady__flamelet__tools_8f90.html#ab1ec1e5a02cc59f4b0f38a17be4ce243">dsftdw()</a>, and <a class="el" href="unsteady__flamelet__tools_8f90.html#a0605acbe580a6a9914ad945481093d9c">i_swap()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_cgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_cgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_cgraph" id="unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_cgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#ab1ec1e5a02cc59f4b0f38a17be4ce243" title="dsftdw" alt="" coords="113,5,174,32"/>
<area shape="rect" id="node3" href="unsteady__flamelet__tools_8f90.html#a0605acbe580a6a9914ad945481093d9c" title="i_swap" alt="" coords="112,56,175,83"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_icgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_icgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_icgraph" id="unsteady__flamelet__tools_8f90_ae61ff607a0fcc81daa52643d7f147c04_icgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#a4b89f837b86584befdb6ac0d7e0a7fc0" title="dtris2" alt="" coords="112,13,167,39"/>
<area shape="rect" id="node3" href="unsteady__table_8f90.html#aab08899dbc5c72384923bd50fe644d19" title="interpolate_unsteady\l_flamelets_delaunay" alt="" coords="215,5,357,47"/>
<area shape="rect" id="node4" href="unsteady__table_8f90.html#ae7c4d78fa7ab0878a08c4026f111c68f" title="unsteady_table_setup" alt="" coords="405,13,555,39"/>
<area shape="rect" id="node5" href="createUnsteadyChemtable_8f90.html#a5eb88ac756b071dcaa7c36dc0d66dd55" title="createunsteadychemtable" alt="" coords="603,13,773,39"/>
</map>
</div>

</div>
</div>
<a id="a611e4770dc5d36fe6ee2cce39847b19c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a611e4770dc5d36fe6ee2cce39847b19c">&#9670;&nbsp;</a></span>diaedg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function diaedg </td>
          <td>(</td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>x0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>y0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>x1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>y1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>x2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>y2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>x3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>y3</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a7e3b972ccc6b87b0171012a6d40c78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a7e3b972ccc6b87b0171012a6d40c78">&#9670;&nbsp;</a></span>dless()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical function dless </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(k)&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(k)&#160;</td>
          <td class="paramname"><em>q</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1ec1e5a02cc59f4b0f38a17be4ce243"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1ec1e5a02cc59f4b0f38a17be4ce243">&#9670;&nbsp;</a></span>dsftdw()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine dsftdw </td>
          <td>(</td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>u</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>lda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(lda,*)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(*)&#160;</td>
          <td class="paramname"><em>map</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_ab1ec1e5a02cc59f4b0f38a17be4ce243_icgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_ab1ec1e5a02cc59f4b0f38a17be4ce243_icgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_ab1ec1e5a02cc59f4b0f38a17be4ce243_icgraph" id="unsteady__flamelet__tools_8f90_ab1ec1e5a02cc59f4b0f38a17be4ce243_icgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#ae61ff607a0fcc81daa52643d7f147c04" title="dhpsrt" alt="" coords="115,13,173,39"/>
<area shape="rect" id="node3" href="unsteady__flamelet__tools_8f90.html#a4b89f837b86584befdb6ac0d7e0a7fc0" title="dtris2" alt="" coords="221,13,276,39"/>
<area shape="rect" id="node4" href="unsteady__table_8f90.html#aab08899dbc5c72384923bd50fe644d19" title="interpolate_unsteady\l_flamelets_delaunay" alt="" coords="324,5,467,47"/>
<area shape="rect" id="node5" href="unsteady__table_8f90.html#ae7c4d78fa7ab0878a08c4026f111c68f" title="unsteady_table_setup" alt="" coords="515,13,664,39"/>
<area shape="rect" id="node6" href="createUnsteadyChemtable_8f90.html#a5eb88ac756b071dcaa7c36dc0d66dd55" title="createunsteadychemtable" alt="" coords="712,13,883,39"/>
</map>
</div>

</div>
</div>
<a id="a4b89f837b86584befdb6ac0d7e0a7fc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b89f837b86584befdb6ac0d7e0a7fc0">&#9670;&nbsp;</a></span>dtris2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine dtris2 </td>
          <td>(</td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>npt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>maxst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(2,npt)&#160;</td>
          <td class="paramname"><em>vcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(npt)&#160;</td>
          <td class="paramname"><em>ind</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>ntri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3,npt*2)&#160;</td>
          <td class="paramname"><em>til</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3,npt*2)&#160;</td>
          <td class="paramname"><em>tnbr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(maxst)&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>ierror</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="unsteady__flamelet__tools_8f90.html#ae61ff607a0fcc81daa52643d7f147c04">dhpsrt()</a>, <a class="el" href="unsteady__flamelet__tools_8f90.html#a94e9ccdf08d45db8ae2353d21848d127">swapec()</a>, and <a class="el" href="unsteady__flamelet__tools_8f90.html#a39d83159651b91aea182d3db451ecc18">vbedg()</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_cgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_cgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_cgraph" id="unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_cgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#ae61ff607a0fcc81daa52643d7f147c04" title="dhpsrt" alt="" coords="112,31,171,57"/>
<area shape="rect" id="node5" href="unsteady__flamelet__tools_8f90.html#a94e9ccdf08d45db8ae2353d21848d127" title="swapec" alt="" coords="108,81,175,108"/>
<area shape="rect" id="node6" href="unsteady__flamelet__tools_8f90.html#a39d83159651b91aea182d3db451ecc18" title="vbedg" alt="" coords="113,132,170,159"/>
<area shape="rect" id="node3" href="unsteady__flamelet__tools_8f90.html#ab1ec1e5a02cc59f4b0f38a17be4ce243" title="dsftdw" alt="" coords="223,5,285,32"/>
<area shape="rect" id="node4" href="unsteady__flamelet__tools_8f90.html#a0605acbe580a6a9914ad945481093d9c" title="i_swap" alt="" coords="223,56,285,83"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_icgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_icgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_icgraph" id="unsteady__flamelet__tools_8f90_a4b89f837b86584befdb6ac0d7e0a7fc0_icgraph">
<area shape="rect" id="node2" href="unsteady__table_8f90.html#aab08899dbc5c72384923bd50fe644d19" title="interpolate_unsteady\l_flamelets_delaunay" alt="" coords="108,5,251,47"/>
<area shape="rect" id="node3" href="unsteady__table_8f90.html#ae7c4d78fa7ab0878a08c4026f111c68f" title="unsteady_table_setup" alt="" coords="299,13,448,39"/>
<area shape="rect" id="node4" href="createUnsteadyChemtable_8f90.html#a5eb88ac756b071dcaa7c36dc0d66dd55" title="createunsteadychemtable" alt="" coords="496,13,667,39"/>
</map>
</div>

</div>
</div>
<a id="ae15b215ea032ba4a79e6a76707e1ad68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae15b215ea032ba4a79e6a76707e1ad68">&#9670;&nbsp;</a></span>finddet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function finddet </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(n,n)&#160;</td>
          <td class="paramname"><em>matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c7ed13cac13964bac94ba7b671bf0d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c7ed13cac13964bac94ba7b671bf0d3">&#9670;&nbsp;</a></span>i_modp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function i_modp </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0605acbe580a6a9914ad945481093d9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0605acbe580a6a9914ad945481093d9c">&#9670;&nbsp;</a></span>i_swap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine i_swap </td>
          <td>(</td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>j</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_a0605acbe580a6a9914ad945481093d9c_icgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_a0605acbe580a6a9914ad945481093d9c_icgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_a0605acbe580a6a9914ad945481093d9c_icgraph" id="unsteady__flamelet__tools_8f90_a0605acbe580a6a9914ad945481093d9c_icgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#ae61ff607a0fcc81daa52643d7f147c04" title="dhpsrt" alt="" coords="116,13,175,39"/>
<area shape="rect" id="node3" href="unsteady__flamelet__tools_8f90.html#a4b89f837b86584befdb6ac0d7e0a7fc0" title="dtris2" alt="" coords="223,13,277,39"/>
<area shape="rect" id="node4" href="unsteady__table_8f90.html#aab08899dbc5c72384923bd50fe644d19" title="interpolate_unsteady\l_flamelets_delaunay" alt="" coords="325,5,468,47"/>
<area shape="rect" id="node5" href="unsteady__table_8f90.html#ae7c4d78fa7ab0878a08c4026f111c68f" title="unsteady_table_setup" alt="" coords="516,13,665,39"/>
<area shape="rect" id="node6" href="createUnsteadyChemtable_8f90.html#a5eb88ac756b071dcaa7c36dc0d66dd55" title="createunsteadychemtable" alt="" coords="713,13,884,39"/>
</map>
</div>

</div>
</div>
<a id="a00148be828bc2be7cc05c8ff01a71458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00148be828bc2be7cc05c8ff01a71458">&#9670;&nbsp;</a></span>i_wrap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function i_wrap </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ival</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ilo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ihi</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e1886c515628902d9a5cc2aa1e9cfe1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e1886c515628902d9a5cc2aa1e9cfe1">&#9670;&nbsp;</a></span>lrline()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function lrline </td>
          <td>(</td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>xu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>yu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>xv1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>yv1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>xv2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>yv2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>dv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada8ef1075539542e4fa623c4c2c06e67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada8ef1075539542e4fa623c4c2c06e67">&#9670;&nbsp;</a></span>solve_linear_system()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine solve_linear_system </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(n,n)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n)&#160;</td>
          <td class="paramname"><em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n)&#160;</td>
          <td class="paramname"><em>X</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94e9ccdf08d45db8ae2353d21848d127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94e9ccdf08d45db8ae2353d21848d127">&#9670;&nbsp;</a></span>swapec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine swapec </td>
          <td>(</td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>maxst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>btri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>bedg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(2,*)&#160;</td>
          <td class="paramname"><em>vcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3,*), intent(inout)&#160;</td>
          <td class="paramname"><em>til</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3,*), intent(inout)&#160;</td>
          <td class="paramname"><em>tnbr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(maxst)&#160;</td>
          <td class="paramname"><em>stack</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer&#160;</td>
          <td class="paramname"><em>ierror</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_a94e9ccdf08d45db8ae2353d21848d127_icgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_a94e9ccdf08d45db8ae2353d21848d127_icgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_a94e9ccdf08d45db8ae2353d21848d127_icgraph" id="unsteady__flamelet__tools_8f90_a94e9ccdf08d45db8ae2353d21848d127_icgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#a4b89f837b86584befdb6ac0d7e0a7fc0" title="dtris2" alt="" coords="120,13,175,39"/>
<area shape="rect" id="node3" href="unsteady__table_8f90.html#aab08899dbc5c72384923bd50fe644d19" title="interpolate_unsteady\l_flamelets_delaunay" alt="" coords="223,5,365,47"/>
<area shape="rect" id="node4" href="unsteady__table_8f90.html#ae7c4d78fa7ab0878a08c4026f111c68f" title="unsteady_table_setup" alt="" coords="413,13,563,39"/>
<area shape="rect" id="node5" href="createUnsteadyChemtable_8f90.html#a5eb88ac756b071dcaa7c36dc0d66dd55" title="createunsteadychemtable" alt="" coords="611,13,781,39"/>
</map>
</div>

</div>
</div>
<a id="a39d83159651b91aea182d3db451ecc18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39d83159651b91aea182d3db451ecc18">&#9670;&nbsp;</a></span>vbedg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine vbedg </td>
          <td>(</td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(2,*)&#160;</td>
          <td class="paramname"><em>vcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3,*), intent(in)&#160;</td>
          <td class="paramname"><em>til</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3,*), intent(in)&#160;</td>
          <td class="paramname"><em>tnbr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ltri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>ledg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>rtri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>redg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="unsteady__flamelet__tools_8f90_a39d83159651b91aea182d3db451ecc18_icgraph.png" border="0" usemap="#unsteady__flamelet__tools_8f90_a39d83159651b91aea182d3db451ecc18_icgraph" alt=""/></div>
<map name="unsteady__flamelet__tools_8f90_a39d83159651b91aea182d3db451ecc18_icgraph" id="unsteady__flamelet__tools_8f90_a39d83159651b91aea182d3db451ecc18_icgraph">
<area shape="rect" id="node2" href="unsteady__flamelet__tools_8f90.html#a4b89f837b86584befdb6ac0d7e0a7fc0" title="dtris2" alt="" coords="111,13,165,39"/>
<area shape="rect" id="node3" href="unsteady__table_8f90.html#aab08899dbc5c72384923bd50fe644d19" title="interpolate_unsteady\l_flamelets_delaunay" alt="" coords="213,5,356,47"/>
<area shape="rect" id="node4" href="unsteady__table_8f90.html#ae7c4d78fa7ab0878a08c4026f111c68f" title="unsteady_table_setup" alt="" coords="404,13,553,39"/>
<area shape="rect" id="node5" href="createUnsteadyChemtable_8f90.html#a5eb88ac756b071dcaa7c36dc0d66dd55" title="createunsteadychemtable" alt="" coords="601,13,772,39"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
